com.pixelmed.test

## Class TestSafePrivateGEDoseRelated

- java.lang.Object
- - junit.framework.Assert
  - - junit.framework.TestCase
    - - com.pixelmed.test.TestSafePrivateGEDoseRelated

All Implemented Interfaces:
  junit.framework.Test

    public class TestSafePrivateGEDoseRelated
    extends junit.framework.TestCase

### Constructor Summary

Constructors
Constructor and Description
`TestSafePrivateGEDoseRelated(java.lang.String name)`

### Method Summary

Methods
`protected void` `setUp()`
`static junit.framework.Test` `suite()`
`protected void` `tearDown()`
`void` `TestSafePrivateGEDoseRelated_AddedToList()`
`void` `TestSafePrivateGEDoseRelated_CreatorFromList()`
`void` `TestSafePrivateGEDoseRelated_FromFile()`
`void` `TestSafePrivateGEDoseRelated_FromTag()`

### Methods inherited from class junit.framework.TestCase

`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, countTestCases, createResult, fail, fail, failNotEquals, failNotSame, failSame, format, getName, run, run, runBare, runTest, setName, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TestSafePrivateGEDoseRelated

    public TestSafePrivateGEDoseRelated(java.lang.String name)

### Method Detail

#### suite

    public static junit.framework.Test suite()

#### setUp

    protected void setUp()

Overrides:
  `setUp` in class `junit.framework.TestCase`

#### tearDown

    protected void tearDown()

Overrides:
  `tearDown` in class `junit.framework.TestCase`

#### TestSafePrivateGEDoseRelated_FromTag

    public void TestSafePrivateGEDoseRelated_FromTag()
                                              throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### TestSafePrivateGEDoseRelated_CreatorFromList

    public void TestSafePrivateGEDoseRelated_CreatorFromList()
                                                      throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### TestSafePrivateGEDoseRelated_AddedToList

    public void TestSafePrivateGEDoseRelated_AddedToList()
                                                  throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### TestSafePrivateGEDoseRelated_FromFile

    public void TestSafePrivateGEDoseRelated_FromFile()
                                               throws java.lang.Exception

Throws:
  `java.lang.Exception`